Subject: [AVT] Editorial comments on draft-ietf-avt-rtp-mps-01.txt

From: Tom Taylor <[email-masked]>
Date: Mon, 01 Dec 2008 22:27:36 -0500

Here are my promised comments, a bit later than I intended.

1. Idnits results
    ==============
Idnits has a couple of complaints. If it's convenient, you should use the latest 
version of the boilerplate text. idnits also flags a line that is too long by 
one character. It is the second line of the first paragraph of section 3.1. This 
obviously happened because the tool you were using didn't count characters after 
it expanded your references. If necessary, I suggest changing the wording (e.g., 
use "given here" instead of "summed up"). Or you could simply manually correct 
the compiled text by moving "summed" to the start of the next line.

Idnits also complains that your text has no formfeed characters. XML2RFC puts 
them in for me, though I have to use a hex editor afterwards to convert 
end-of-line x'0a' into x'0d0a'.

2. Comments on your IANA section
    ===============================
There has been no comment back from the media types list. However, I have a 
couple of comments of my own.

a) Opening paragraph of section 5: are you talking about mpeg-generic as a 
general subtype, or should you specify audio/mpeg-generic.

b) In section 5.2, I'm afraid you have a little more to do. You have to create a 
new registry for sub-parameters when mode=AAC-lbr and AAC-hbr respectively. See 
  http://www.iana.org/assignments/media-type-sub-parameters for an example with 
mode=RTP-midi.

3. Small stuff
    ===========
A few trivial fixes, in a well-written document:

Sec. 1 Introduction, first paragraph, 7th line:
        "...represents a significantly lower data rate ..."
                                    ^^
Sec. 3.1, definition of AudioSpecificConfig(), 5th line:
        "...audioObjectType that distinguishes..."
                                       ^^^^^^^

Sec. 4.1 first line: "[14496-3] defines..."
                                       ^
Sec. 4.1, final sentence of the first paragraph:
        "Surround data can be embedded in backwards compatible fashion
                                       ^^                      ^^^^^^^
  and be transported ..."

Sec. 4.1, third paragraph, 2nd line:
        "Either the mode AAC-lbr or the mode AAC-hbr SHOULD ..."
                        ^           ^^^^^^^^
(Deleted "s" on the first "mode".)

Sec. 5.1, MPS-profile-level-id definition, last line:
        "that the decoder must be capable of in order ..."
                                          ^^

Tom Taylor

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt